IF EXISTS
  (
    SELECT SysColumns.Name 
    FROM SysObjects WITH (NOLOCK) 
      INNER JOIN SysColumns WITH (NOLOCK) ON SysColumns.Id = SysObjects.ID 
      AND SysColumns.Name = 'DateStamp'
      WHERE SysObjects.Name = 'MISTABLEPackSum'
  )
BEGIN
  ALTER TABLE MISTABLEPackSum DROP CONSTRAINT PK_MISTABLEPackSum
  ALTER TABLE MISTABLEPackSum DROP COLUMN DateStamp
  ALTER TABLE MISTABLEPackSum ADD CONSTRAINT [PK_MISTABLEPackSum] PRIMARY KEY CLUSTERED (ProductWareLinkNumber ASC) 
END